%define url_ver %(echo %{version}|cut -d. -f1,2)

Summary: MATE desktop default icons
Name: mate-icon-theme
Version: 1.28.0
Release: %mkrel 1
License: GPLv2+ and LGPLv2+ and Creative Commons Attribution-ShareAlike
Group: Graphical desktop/MATE
URL:  http://www.mate-desktop.org/
Source0: http://pub.mate-desktop.org/releases/%{url_ver}/%{name}-%{version}.tar.xz
Source1:    gtk_source_icons.tar.xz

BuildRequires: intltool
BuildRequires: icon-naming-utils >= 0.8.7
Requires: hicolor-icon-theme
Obsoletes: %{name}-devel

%description
Default icon theme for MATE Desktop

%prep
%setup -q

%build
%configure2_5x --enable-icon-mapping
%make_build

%install
rm -rf %buildroot
%make_install

touch %{buildroot}%{_iconsdir}/mate/icon-theme.cache
touch %{buildroot}%{_iconsdir}/menta/icon-theme.cache

# Fix for missing gtk icons
mkdir -p %buildroot/%{_datadir}/icons/mate/16x16/actions
unxz -c %{SOURCE1} | tar xf - -C %buildroot/%{_datadir}/icons/mate/16x16/actions

install -d %buildroot%{_var}/lib/rpm/filetriggers
cat > %buildroot%{_var}/lib/rpm/filetriggers/gtk-icon-cache-mate.filter << EOF
^./usr/share/icons/mate/
EOF
cat > %buildroot%{_var}/lib/rpm/filetriggers/gtk-icon-cache-mate.script << EOF
#!/bin/sh
if [ -x /usr/bin/gtk-update-icon-cache ]; then 
  /usr/bin/gtk-update-icon-cache --force --quiet /usr/share/icons/mate
fi
EOF
chmod 755 %buildroot%{_var}/lib/rpm/filetriggers/gtk-icon-cache-mate.script


%post
%update_icon_cache mate
%update_icon_cache hicolor

%postun
%clean_icon_cache mate
%clean_icon_cache hicolor

%files
%{_iconsdir}/mate/*/
%{_iconsdir}/mate/index.theme
%{_iconsdir}/menta/*/
%{_iconsdir}/menta/index.theme
%{_var}/lib/rpm/filetriggers/gtk-icon-cache-mate.*
%{_iconsdir}/mate/icon-theme.cache
%{_iconsdir}/menta/icon-theme.cache

%changelog
* Fri Feb 16 2024 tex - 1.28.0-1pclos2024
- new version

* Sun Aug 08 2021 tex - 1.26.0-1pclos2021
- new version

* Sat Feb 15 2020 tex - 1.24.0-1pclos2020
- 1.24.0
